Bug 1566128 - pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
Summary: pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5a3ec568a2a688ed35d55f103a1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 15:08 UTC by bhavin192
Modified: 2019-05-28 19:53 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:53:11 UTC


Attachments (Terms of Use)
File: anaconda-tb (1.34 MB, text/plain)
2018-04-11 15:11 UTC, bhavin192
no flags Details
File: anaconda.log (45.42 KB, text/plain)
2018-04-11 15:11 UTC, bhavin192
no flags Details
File: dbus.log (2.79 KB, text/plain)
2018-04-11 15:11 UTC, bhavin192
no flags Details
File: environ (637 bytes, text/plain)
2018-04-11 15:11 UTC, bhavin192
no flags Details
File: lorax-packages.log (25.68 KB, text/plain)
2018-04-11 15:11 UTC, bhavin192
no flags Details
File: lsblk_output (1.72 KB, text/plain)
2018-04-11 15:11 UTC, bhavin192
no flags Details
File: lvm.log (607.86 KB, text/plain)
2018-04-11 15:13 UTC, bhavin192
no flags Details
File: nmcli_dev_list (1.60 KB, text/plain)
2018-04-11 15:13 UTC, bhavin192
no flags Details
File: os_info (529 bytes, text/plain)
2018-04-11 15:13 UTC, bhavin192
no flags Details
File: program.log (74.88 KB, text/plain)
2018-04-11 15:13 UTC, bhavin192
no flags Details
File: storage.log (188.15 KB, text/plain)
2018-04-11 15:13 UTC, bhavin192
no flags Details
File: syslog (267.35 KB, text/plain)
2018-04-11 15:14 UTC, bhavin192
no flags Details
File: ifcfg.log (2.28 KB, text/plain)
2018-04-11 15:14 UTC, bhavin192
no flags Details

Description bhavin192 2018-04-11 15:08:28 UTC
Description of problem:
When manual partitioning is selected, bootloader fails to install for LVM type 
Steps to reproduce,
1. while installing select manual partitoning 
2. Add / 
3. Add swap 

For automatic partitioning it works just fine.

iso used: Fedora-AtomicHost-ostree-x86_64-28_Beta-1.3.iso
Hypervisor: KVM		

Version-Release number of selected component:
anaconda-28.22.2

The following was filed automatically by anaconda:
anaconda 28.22.2 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 1583, in write_config
    raise BootLoaderError("failed to write boot loader configuration")
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 1630, in write
    self.write_config()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 2473, in writeBootLoaderFinal
    storage.bootloader.write()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/bootloader.py", line 2501, in writeBootLoader
    writeBootLoaderFinal(storage, payload, instClass, ksdata)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 438, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 472, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation.py", line 366, in doInstall
    installation_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 291, in run
    threading.Thread.run(self)
pyanaconda.bootloader.BootLoaderError: failed to write boot loader configuration

Additional info:
addons:         com_redhat_kdump, com_redhat_docker
blivet-gui-utils.log: 
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-AH-ostree-x86_64-28 rd.live.check quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.16.0-0.rc4.git0.1.fc28.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        28

Comment 1 bhavin192 2018-04-11 15:11:39 UTC
Created attachment 1420386 [details]
File: anaconda-tb

Comment 2 bhavin192 2018-04-11 15:11:48 UTC
Created attachment 1420387 [details]
File: anaconda.log

Comment 3 bhavin192 2018-04-11 15:11:51 UTC
Created attachment 1420388 [details]
File: dbus.log

Comment 4 bhavin192 2018-04-11 15:11:53 UTC
Created attachment 1420389 [details]
File: environ

Comment 5 bhavin192 2018-04-11 15:11:56 UTC
Created attachment 1420390 [details]
File: lorax-packages.log

Comment 6 bhavin192 2018-04-11 15:11:59 UTC
Created attachment 1420391 [details]
File: lsblk_output

Comment 7 bhavin192 2018-04-11 15:13:19 UTC
Created attachment 1420392 [details]
File: lvm.log

Comment 8 bhavin192 2018-04-11 15:13:22 UTC
Created attachment 1420393 [details]
File: nmcli_dev_list

Comment 9 bhavin192 2018-04-11 15:13:24 UTC
Created attachment 1420394 [details]
File: os_info

Comment 10 bhavin192 2018-04-11 15:13:36 UTC
Created attachment 1420395 [details]
File: program.log

Comment 11 bhavin192 2018-04-11 15:13:58 UTC
Created attachment 1420396 [details]
File: storage.log

Comment 12 bhavin192 2018-04-11 15:14:33 UTC
Created attachment 1420398 [details]
File: syslog

Comment 13 bhavin192 2018-04-11 15:14:35 UTC
Created attachment 1420399 [details]
File: ifcfg.log

Comment 14 Ben Cotton 2019-05-02 21:56:07 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 19:53:11 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.